Page MenuHomePhabricator

Deploy Welcome Survey to Ukrainian, Hungarian, Armenian Wikipedias
Closed, ResolvedPublic

Description

We are ready to deploy the Welcome Survey for Ukrainian, Hungarian, Armenian Wikipedias.

The survey should not be deployed in an A/B test -- all accounts should receive it.

[] Set date for deployment of all Growth features with contact points from each wiki (@Trizek-WMF)

  • Test survey in Test Wikipedia in each language to make sure all translations look right and that all links go to correct privacy policy and survey privacy statement. (@Etonkovidova)
  • Test survey on desktop and mobile by creating new accounts in production. (@Etonkovidova)
  • Community contacts test in production
  • Inform communities
  • Check that data is being recorded correctly after deployment. (@nettrom_WMF)
  • Analyze results to make sure that survey is not negatively impacting newcomers.

Any specifics and configurations can be found in the setup tasks:

Event Timeline

JTannerWMF moved this task from Inbox to Upcoming Work on the Growth-Team board.

@JTannerWMF -- thank you for making this task. Could you please fill in the link to the privacy statement? That's not in the description.

Piramidion updated the task description. (Show Details)Nov 14 2019, 7:05 PM
kzimmerman moved this task from Triage to Tracking on the Product-Analytics board.Nov 15 2019, 9:30 PM
MMiller_WMF updated the task description. (Show Details)Nov 26 2019, 2:35 AM
MMiller_WMF removed JTannerWMF as the assignee of this task.Jan 7 2020, 3:13 PM
MMiller_WMF renamed this task from Deploy Welcome Survey to Ukrainian Wikipedia to Deploy Welcome Survey to Ukrainian, Hungarian, Armenian Wikipedias.Jan 15 2020, 6:05 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)Jan 15 2020, 6:21 PM

Change 565438 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable WelcomeSurvey on ukwiki, huwiki, hywiki

https://gerrit.wikimedia.org/r/565438

Catrope added a subscriber: Catrope.

The patch above is incomplete, we'll need to add the URLs of the translated privacy policies once they're available. Assigning to @MMiller_WMF since he's the liaison with Legal for that.

MMiller_WMF updated the task description. (Show Details)Feb 28 2020, 12:33 AM

The statements are now uploaded and linked in the task description. The survey is ready to be deployed to the three wikis at any point.

Change 584135 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable GrowthExperiments welcome survey on Ukrainian, Hungarian, Armenian Wikipedias

https://gerrit.wikimedia.org/r/584135

Tgr claimed this task.Mar 28 2020, 6:08 PM

Patch is ready but I guess the "Test survey in Test Wikipedia in each language to make sure all translations look right and that all links go to correct privacy policy and survey privacy statement." step in the checklist should be done before deployment, so there needs to be a separate beta deploy? (I suppose beta wikipedias are what's really meant here?) @Etonkovidova any thoughts?

Tgr added a comment.Mar 28 2020, 10:37 PM

(Ukrainian does have a beta Wikipedia, the other two languages don't.)

@Tgr -- I have enough confidence in this process that we can just deploy and @Etonkovidova can check in production as soon as possible after the deploy, and then we'll fix if we need to.

@Tgr - if we need additional testing for turning features on (Welcome survey, SE etc), ukwiki betalabs can be tested for that. Just let me know whether it makes sense to do some additional testing in betalbs.

Tgr added a comment.Apr 4 2020, 10:48 AM

The welcome survey is sufficiently straightforward and low-risk that it can be tested in production (and during SWAT), IMO.

Change 584135 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments welcome survey on Ukrainian, Hungarian, Armenian Wikipedias

https://gerrit.wikimedia.org/r/584135

Mentioned in SAL (#wikimedia-operations) [2020-04-08T12:17:20Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:584135|Enable GrowthExperiments welcome survey on Ukrainian, Hungarian, Armenian Wikipedias (T238295) (duration: 01m 08s)

Etonkovidova updated the task description. (Show Details)Apr 9 2020, 10:38 PM
Etonkovidova moved this task from QA to Needs PM Review on the Growth-Team (Current Sprint) board.

Moving for PM review and further actions - no issues found (all translations are in place too).

MMiller_WMF closed this task as Resolved.Apr 10 2020, 1:13 AM

Thank you!